\documentclass[9pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../sty/present}
\usepackage{concmath-otf}
% \usepackage{unicode-math}
% \setmathfont{Concrete Math}
% \setmathfont{Concrete-Math-Regular.otf}[BoldFont=Concrete-Math-Bold.otf,CharacterVariant={10}]
\usepackage{../sty/calcii}

% Colors
% From https://color.adobe.com/ Fisher French Tomato, James Morris
\definecolor{Burgundy}{HTML}{8D001A}
\definecolor{GoldenImpression}{HTML}{FFF0CA}
\definecolor{ManiacMansion}{HTML}{00394F}
\definecolor{HazyRose}{HTML}{B29596}
\definecolor{KosherKhaki}{HTML}{8A897A}
\definecolor{UsualGray}{gray}{0.1}  % matches GoldenImpression
\setbeamercolor{frametitle}{fg=ManiacMansion,bg=white}
\setbeamercolor{part title}{fg=ManiacMansion,bg=white}
\setbeamercolor{itemize item}{fg=ManiacMansion}
\setbeamercolor{alerted text}{fg=Burgundy}

\setbeamerfont{frametitle}{size=\LARGE}
\setbeamertemplate{itemize item}{\color{ManiacMansion}$\blacktriangleright$}
\setbeamertemplate{description item}{\color{ManiacMansion}}
% \setbeamertemplate{itemize subitem}{\color{orange}$\blacktriangleright$}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
% \addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Section 11.$\infty$\hspace{0.618em}Complex numbers}
% This is only inserted into the PDF information catalog. Can be left
% out. 
\subject{Complex numbers}

\author{J Hef{}feron}
\institute{
  Department of Mathematics and Statistics\\
  University of Vermont  %\\[1ex]
  %\texttt{James.Hefferon@uvm.edu}
}
\date{}

% For 3D PRC asymptote
% compile with asy -inlineimage stub_3d
\def\asydir{asy/}
\graphicspath{{asy/}}
% \input asy/arc_length_3d.pre
\usepackage[bigfiles]{media9}
\RequirePackage{asymptote}

\usepackage{siunitx}

\newcommand{\conjugate}[1]{%
  \overline{#1}%
}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................




\begin{frame}
At first people only worked with counting numbers $1$, $2$, \ldots{}
They found that they needed to denote debt, to somehow have a solution to
to $x+5=0$, so they added to the set of number the negatives.
Then when they had two pies for three people they needed to solve $3x=2$, 
and they added the rationals.
And when they needed to find the hypotenuse of a unit square, to solve
$x^2=2$, they added the irrational numbers.

Next, the quadratic formula sometimes calls for  
the square root of a negative number.
There is no $\sqrt{-1}$ in the system of real numbers, so we will expand
to a bigger system that can handle the new idea.

This is less familiar than other number systems, because what we
see in high school math is what we need for high school science and complex
numbers just don't appear much there. 
So we will first briefly discuss its introdcuction into mathematics and
then we will return to its basic properties.
\end{frame}


\section{History}

\begin{frame}
Versions of the quadratic formula
\begin{equation*}
  \text{if}
  \quad ax^2+bx+c=0 
  \quad \text{then}
  \qquad
  x=\frac{-b\pm\sqrt{b^2-4ac}}{2a}
\end{equation*}
appear on clay tablets.

Italian mathematicians in the 1500's wanted to solve cubics.
They noticed that starting with
\begin{equation*}
  ax^3+bx^2+cx+d=0
\end{equation*}
if we substitute
\begin{equation*}
  x=t-\frac{b}{3a}
\end{equation*}
then the result is simpler in that it %is a \alert{depressed cubic},
has no quadratic term.
\begin{equation*}
  t^3+pt+q=0
  \quad\text{where}\quad
  p=\frac{3ac-b^2}{3a^2}
  \quad
  q=\frac{2b^3-9abc+27a^2d}{27a^3}
\end{equation*}
We focus on these, called \alert{depressed cubics}.
\end{frame}

\begin{frame}
Write the depressed cubic as $x^3=-rx-s$
and think of solutions as points where the graph of $x^3$
cubic intersects the line $-rx+s$.  
\begin{center}
  \vcenteredhbox{\includegraphics{complex_numbers000.pdf}}
\end{center}

They showed that one solution to $x^3+rx+s=0$ is this.
\begin{equation*}
  x=\sqrt[3]{ -\frac{s}{2}+ \sqrt{\frac{s^2}{4} + \frac{r^3}{27}} }
    +\sqrt[3]{ -\frac{s}{2}- \sqrt{\frac{s^2}{4} + \frac{r^3}{27}} }
\end{equation*}
\end{frame}

\begin{frame}
Bombelli considered $x^3-15x-4=0$, whose graph is on the prior slide.
Clearly it is solved by $x=4$.
Does the stated solution give that?
He plugged in.
\begin{align*}
  x&=\sqrt[3]{ -\frac{s}{2}+ \sqrt{\frac{s^2}{4} + \frac{r^3}{27}} }
    +\sqrt[3]{ -\frac{s}{2}- \sqrt{\frac{s^2}{4} + \frac{r^3}{27}} }  \\
   &=\sqrt[3]{ -\frac{-4}{2}+ \sqrt{\frac{16}{4} + \frac{-3375}{27}} }
    +\sqrt[3]{ -\frac{-4}{2}- \sqrt{\frac{16}{4} + \frac{-3375}{27}} } \\
   &=\sqrt[3]{ 2 + \sqrt{ 4 - 125} }
    +\sqrt[3]{ 2 - \sqrt{ 4 - 125} } \\
   &=\sqrt[3]{ 2 + \sqrt{ -121} }
    +\sqrt[3]{ 2 - \sqrt{ -121} }
\end{align*}
In modern notation that is $x=\sqrt[3]{2+11i}+\sqrt[3]{2-11i}$.
\pause
He then produced the desired cube root.
\begin{equation*}
  (2+i)^3=8+3\cdot 4i+3\cdot2(i)^2+-i
         =8+12i-6-i
         =2+11i
\end{equation*}
Similarly $(2-i)^3=2-11i$.
Putting those together gives
\begin{equation*}
  x=(2+i)+(2-i)=4
\end{equation*}
which is the correct answer.
\end{frame}
% sage: 15^3
% 3375
% sage: 15^3/27
% 125

\begin{frame}
At the time, square roots of negative numbers were thought to be
nonsense. 
They didn't fit into the mindset of the 1500's, which was
that to model the universe the only conceivable system is the real numbers.

But Bombelli's computations, and over time a great many more, gave answers that
are correct.
This is analogous to what happens with infinite series, where while 
early researchers sometimes got junk, they also sometimes got the 
right answers.
 
Getting the right answers is a compelling argument 
that what you did can't be completely crazy.
It must be that there are rules to a system that uses $\sqrt{-1}$
and if we follow those rules then we 
can use this powerful tool in a way that is
sure to get answers that are correct.
\end{frame}



\section{Definition of the complex number system}

\begin{frame}
\Df For $\sqrt{-1}$ we write \alert{$i$}.
That is, $i$ has the property that $i^2=-1$.
A \alert{complex number} is a combination $z=a+bi$ 
where $a$ and~$b$ are real numbers.
We say that $a$ is its \alert{real part} and $b$ is 
its \alert{imaginary part}.
Two complex numbers are equal if they have the same real and imaginary
parts.
The collection of complex numbers is $\C$.

\Ex Here are four complex numbers.
\begin{equation*}
  3+5i
  \quad
  -6+\sqrt{2}i
  \quad
  \pi/2+0i=\pi/2
  \quad
  0+1.5i=1.5i
\end{equation*}
The third one is a \alert{pure real} and illustrates that the 
set of real numbers is a subset of the set of complex numbers.
The last one is a \alert{pure imaginary}. 

\medskip
{\color{blue}\textit{Comments:}}\vspace{-1ex}
\begin{enumerate}
\item
Sometimes electrical engineers instead write~$j$ because they use~$i$
to denote current.
\item Negative one has two square roots.
We are fixing one of them, which when we draw the complex plane below will be in 
the up direction.
The other is then down, at~$-i$,
since $(-i)\cdot(-i)=i^2=-1$.
\end{enumerate}
\end{frame}


\begin{frame}
The complex numbers becomes an algebraic system when
we define operations.

\Df Add or subtract complex numbers by combining their real parts and 
their imaginary parts.
\begin{align*}
  (a+bi)+(c+di) &= (a+c)+(b+d)i  \\
  (a+bi)-(c+di) &= (a-c)+(b-d)i
\end{align*}
Multiply as with polynomials, by using the distributive law.
\begin{align*}
  (a+bi)\cdot(c+di)
  &=(a+bi)\cdot c+(a+bi)\cdot di
  =(ac+bd\cdot i^2)+(bc+ad)i   \\
  &=(ac-bd)+(ad+bc)i
\end{align*}
Divide complex numbers by multiplying numerator and denominator
to take advantage of the difference of two squares.
\begin{align*}
  \frac{a+bi}{c+di}
  &=\frac{a+bi}{c+di}\cdot\frac{c-di}{c-di}  \\
  &=\frac{(a+bi)\cdot(c-di)}{c^2+d^2}        \\
  &=\frac{(ac+bd)+(bc-ad)i}{c^2+d^2}
  =\frac{ac+bd}{c^2+d^2}+\frac{bc-ad}{c^2+d^2}\cdot i
\end{align*}
\pause
These are natural in that they are like what we would do
with linears such as $a+bx$.
\end{frame}



\begin{frame}
\Ex
This illustrates complex multiplication.
\begin{equation*}
  (1+2i)\cdot(3+4i)
  =(1+2i)\cdot 3+(1+2i)\cdot 4i
  =(3+6i)+(4i-8)
  =-5+10i
\end{equation*}
Note that $2i\cdot 4i=8(i^2)=-8$.

\pause\Ex
Here is division.
\begin{equation*}
  \frac{1+2i}{3+4i}
  =\frac{1+2i}{3+4i}\cdot\frac{3-4i}{3-4i}
  =\frac{11+2i}{25}
  =\frac{11}{25}+\frac{2}{25}i
\end{equation*}

\pause
\Df The \alert{conjugate} of the complex number $z=a+bi$ is 
$\alert{\conjugate{z}}=a-bi$.

\Lm The sum of a complex number and its conjugate is a real,
namely $z+\conjugate{z}=(a+bi)+ (a-bi)=2a$.
The product of a complex number and its conjugate is also real,
$z\conjugate{z}=(a+bi)\cdot (a-bi)=a^2+b^2$.
\end{frame}

\begin{frame}{Practice}
This summarizes.
\begin{equation*}
  \begin{array}{cc}
    \multicolumn{1}{c}{\text{\tabulartext{Operation}}}
      &\multicolumn{1}{c}{\text{\tabulartext{Result}}}   \\ \hline
    (a+bi)+(c+di)      &(a+c)+(b+d)i    \rule{0pt}{10pt}     \\[1ex]
    (a+bi)-(c+di)      &(a-c)+(b-d)i         \\[1ex]
    (a+bi)\cdot (c+di) &(ac-bd)+(ad+bc)i         \\[1ex]
    (a+bi)/(c+di)      &{\displaystyle \frac{(ac+bd)+(bc-ad)i}{(c^2+d^2)}}         \\
  \end{array}
\end{equation*}
Express each as $a+bi$.
\begin{enumerate}
% \item $(2-5i)+(4+(1/2)i)$  \only<2->{\quad\textit{Ans:} $6-(9/2)i$}
% \item $(2-5i)-(4+(1/2)i)$  \only<2->{\quad\textit{Ans:} $-2-(11/2)i$}
% \pause
\item $(3+2i)\cdot(-1-7i)$   \only<2->{\quad\textit{Ans:} $11-23i$}
\item $(1+2i)\cdot(-1+3i)\cdot(5+i)$ \only<2->{\quad\textit{Ans:} $-36-2i$}
\pause
\item $\displaystyle \frac{2-5i}{4-i}$ \only<3->{\quad\textit{Ans:} $13/17-(18/17)i$}
% \item $\displaystyle \frac{3+3i}{2}$  \only<4->{\quad\textit{Ans:} $3/2+3i/2$}
\item $\displaystyle \frac{-7i}{2+i}$ \only<3->{\quad\textit{Ans:} $-7/5-14i/5$}
\end{enumerate}
\end{frame}
% sage: (3+2*i)*(-1-7*i)
% -23*I + 11
% sage: (1+2*i)*(-1+3*i)*(5+i)
% -2*I - 36
% sage: (2-5*i)/(4-i)
% -18/17*I + 13/17
% sage: (-7*i)/(2+i)
% -14/5*I - 7/5


\begin{frame}{Fundamental Theorem of Algebra}
% \Ex Find the roots of $x^2+x+1=0$.
% \begin{equation*}
%   \frac{-b\pm\sqrt{b^2-4ac}}{2a}
%   =
%   \frac{-1\pm\sqrt{1-4}}{2}
%   =
%   \frac{-1\pm\sqrt{-3}}{2}
% \end{equation*}
% The two roots are $(-1/2)+(\sqrt{3}/2)i$ 
% and $(-1/2)-(\sqrt{3}/2)i$.
% Note that they are conjugates,
% and when we multiply these two linear factors then we recover the quadratic.
% \begin{align*}
%   (x-(\frac{-1}{2}+\frac{\sqrt{3}}{2}i))\cdot (x-(\frac{-1}{2}-\frac{\sqrt{3}}{2}i))
%   &=(x-z)\cdot(x-\conjugate{z})        \\
%   &=x^2-2(z+\conjugate{z})x+(z\cdot\conjugate{z})        
%   =x^2+x+1
% \end{align*}
Adjoining to the system of real numbers the single number~$i$ gives a system
that completely factors any polynomial.

\Tm (Fundamental Theorem of Algebra; Argand, 1806)
Every polynomial of degree~$n$ with complex coefficients $a_0,\ldots a_n$
factors into $n$-many linears
\begin{equation*}
  a_nx^n+a_{n-1}x^{n-1}+\cdots a_1x+a_0
  =a_n(x-z_1)\cdot(x-z_2)\,\cdots\, (x-z_n)
\end{equation*}
where the $z_i$ are complex numbers.

\medskip
{\color{blue}\textit{Comments:}}\vspace{-1ex}
\begin{enumerate}
\item 
Because the real numbers are a subset of the complex numbers this applies
also if $a_n$, $a_{n-1}$, etc., are all reals.
\item
With integration by partial fractions
we saw that if we stick to real numbers then every polynomial factors
into linears and ireducible quadratics such as $x^2+1$.  
If we go to complex numbers then those quadratics factor.
\end{enumerate}
\end{frame}


\section{Complex plane}

\begin{frame}{Argand plane}
To picture the complex numbers the convention is to 
use the horizontal axis for the real part
and the vertical axis for the imaginary part. 
This shows $z_0=3+2i$  and $z_1=-1+3i$.
It also shows the conjugate of $z_0$. 
\begin{center}
  \vcenteredhbox{\includegraphics{complex_numbers002.pdf}}    
\end{center}
\Df The \alert{modulus} of a complex number $|z|$ is it distance from the 
origin, $|a+bi|=\sqrt{a^2+b^2}$.
Its \alert{argument} $\arg(z)$ is the angle that 
it makes with the real axis.

\Lm $z\cdot\conjugate{z}=|z|^2$

\Pf $z\cdot\conjugate{z}=(a+bi)(a-bi)=a^2+ab\cdot i-ab\cdot i-b^2\cdot i=|z|^2$
\end{frame}

\begin{frame}
\Ex This shows the geometry of $(3+i)+(2+2i)=5+3i$ as the 
\alert{parallelogram rule}.
\begin{center}
  \vcenteredhbox{\includegraphics{complex_numbers003.pdf}}
\end{center}
\end{frame}




\begin{frame}{Polar form}
Instead of using rectangular components, 
we can locate a complex number by 
using its polar coordinates $(r,\theta)$.
\begin{equation*}
  r=|z|=\sqrt{a^2+b^2}
  \qquad
  \theta=\arg(z)=\tan^{-1}(b/a)
\end{equation*}
\begin{center}
  \vcenteredhbox{\includegraphics{complex_numbers001.pdf}}    
\end{center}
We can write
$z=a+bi=r\cos\theta+r\sin\theta i=r(\cos\theta+i\sin\theta)$.
\end{frame}



\begin{frame}{Euler's formula}
Something profound happens when we use complex numbers in power series.

\pause
We have this Taylor series.
\begin{equation*}
  e^x=1+x+\frac{x^2}{2!}+\frac{x^3}{3!}+\frac{x^4}{4!}+\cdots 
\end{equation*}
Replace $x$ with $ix$.
Remember that $i^2=-1$, that $i^3=-i$, and that $i^4=1$.
\begin{align*}
  e^{ix}
  &=1+i x+\frac{(ix)^2}{2!}+\frac{(ix)^3}{3!}+\frac{(ix)^4}{4!}+\frac{(ix)^5}{5!}+\cdots    \\
  &=1+i\cdot x-\frac{x^2}{2!}-i\cdot \frac{x^3}{3!}+\frac{x^4}{4!}+i\cdot \frac{x^5}{5!}+\cdots    \\
  &=\biggl(1-\frac{x^2}{2!}+\frac{x^4}{4!}+\cdots\biggr)
   +i\cdot\biggl( x-\frac{x^3}{3!}+\frac{x^5}{5!}-\cdots \biggr) \\
  &= \cos x+i\cdot \sin x
\end{align*}
Thus if $z=a+bi$ we can write
\begin{equation*}
  z=r\cdot(\cos\theta+i\sin\theta)=r\cdot e^{i\theta}
\end{equation*}
where $r=|z|$ and $\theta=\arg(z)$.
\end{frame} 


\begin{frame}{A beautiful formula}
Plugging $\theta=\pi$ into Euler's formula gives this.
\begin{equation*}
  e^{i\pi}=\cos(\pi)+i\sin(\pi)=-1
\end{equation*}
Restated, $e^{i\pi}+1=0$. 
This relates in a simple and beautiful way 
the five most important numbers in Mathematics.
\end{frame}

\begin{frame}{Practice}
\begin{enumerate}
\item Convert from Cartesian to polar form: $z=1+i$.

\pause\smallskip
The radius is $\sqrt{2}$ and the angle
is $\pi/4$ so we have $\displaystyle z=\sqrt{2}e^{i\cdot \pi/4}\!$.
\item Convert $z=3e^{i\cdot 3\pi/2}$ from polar to rectangular coordinates.

\pause\smallskip 
Take $\displaystyle z=a+bi$ where $a=3\cos(3\pi/2)=0$ and 
$b=3\sin(3\pi/2)=-3$.
\end{enumerate}
\end{frame}





\begin{frame}{Complex number multiplication and division is easy in polars}
\Tm The product of two complex numbers $z=z_0\cdot z_1$ has modulus 
that is the product of the moduli, $|z|=|z_0|\cdot |z_1|$
and angle that is the
sum of the two angles, $\arg (z)=\arg (z_0)+\arg (z_1)$.

\Pf Use Euler's form. 
\begin{equation*}
  r_0e^{i\theta_0}\cdot r_1e^{i\theta_1}
  =(r_0r_1)\cdot e^{i\theta_0+i\theta_1}
  =(r_0r_1)\cdot e^{i(\theta_0+\theta_1)}
\end{equation*}

\Co Divide two complex numbers $z=z_0/z_1$ by dividing their moduli 
and subtracting
their arguments:~$|z|=|z_0|/|z_1|$ and $\arg(z)=\arg(z_0)-\arg(z_1)$.

\pause
\Co
A natural number power of a complex number, $z^n$, has
modulus $|z^n|=|z|^n$
and argument $\arg(z^n)=n\cdot \arg(z)$.
Consequently,
for any natural number $m$, a complex number has $m$ distinct $m$-th
roots, numbers whose $m$-th power is $z$.
\begin{equation*}
  w_k=r^{1/m}\cdot e^{i\cdot (\arg(z)+2k\pi)/m}
  \qquad k=0,1,\ldots m-1
\end{equation*}
They are evenly spaced around a circle in the complex plane of
radius $r^{1/m}\!$. 
\end{frame}

\begin{frame}
\Ex
The three complex number roots of $z=1$
\begin{center}
  \vcenteredhbox{\includegraphics{complex_numbers006.pdf}}    
\end{center}
are $z_0=1+0i$, 
and $z_1=\cos(2\pi/3)+i\sin(2\pi/3)$,
and $z_2=\cos(4\pi/3)+i\sin(4\pi/3)$.
\end{frame}


\begin{frame}{Homework}\vspace*{-1ex}
\begin{enumerate}
\item Find all solutions of $y=4x^2+9$ and graph them in the complex plane.

\pause\smallskip
The quadratic formula gives $(-0\pm\sqrt{0-4\cdot 4\cdot 9})/(8)=\pm(3/2)i$.
\begin{center}
  \vcenteredhbox{\includegraphics{complex_numbers005.pdf}}
\end{center}

\item Find $i^{1000}\!$.

\pause\smallskip
Because $i^{4k}=(i^4)^k=1$ and $1000$ is a multiple of four, $i^{1000}=1$.

\item Put $z=3-2i$ into the form $re^{i\theta}\!$. 

\pause\smallskip
We have $|z|=\sqrt{3^2+(-2)^2}=\sqrt{13}$ and
$\arg(z)=\tan^{-1}(-2/3)\approx 5.065$.

\item Prove that the conjugate of a sum is the sum of the conjugates.
What happens for difference?
Product?

\pause\smallskip
For sum, $z_1+z_2=(a_1+b_1i)+(a_2+b_2i)=(a_1+a_2)+(b_1+b_2)i$
while $\conjugate{z_1}+\conjugate{z_2}=(a_1-b_1i)+(a_2-b_2i)=(a_1+a_2)-(b_1+b_2)i$,
which is $\conjugate{z_1+z_2}$.
The same holds for difference and product; the verifications are
straightforward.
\end{enumerate}
\end{frame}

\begin{frame}
\begin{enumerate}\setcounter{enumi}{4}
\item Express in Cartesian form: $e^{3+i\cdot\pi/2}\!$.

\pause\smallskip
First, $e^{3+i\cdot\pi/3}=e^3\cdot e^{i\cdot\pi/3}\!$.
That gives $e^3\cdot (\cos(\pi/3)+i\sin(\pi/3))$,
and multiplying through gives the Cartesian form
$(e^3/2)+(e^3\sqrt{3}/2)i$.


\item Find all of the sixth roots of $z=5+0i$ and graph them.

\pause\smallskip
They are
$w_k=\sqrt[6]{5}\cdot (\cos(2k\pi/6)+i\sin(2k\pi/6))$ for $k=0,\ldots 5$.
\begin{center}
  \vcenteredhbox{\includegraphics{complex_numbers004.pdf}}
\end{center}
\end{enumerate}
\end{frame}
% sage: n(arctan(-2/3)+2*pi)
% 5.69518270363202


\end{document}
%
% These lines tells gnu-emacs to typeset with the luatex engine
% which requires Unicode encoding only (utf-8)
% ^c^t^s for toggling synctex. 
% ^-Shift-Click to move from pdf to source, Command-Shift-Click on OSX
%%% Local Variables:
%%% mode: latex
%%% TeX-engine: luatex
%%% TeX-source-correlate-method-active: synctex
%%% coding: utf-8
%%% End:
